#
# spec file for package glade3 (Version 3.5.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           glade3
BuildRequires:  fdupes gnome-common gnome-doc-utils-devel gtk-doc libgnomeui-devel perl-XML-Parser python-gtk-devel update-desktop-files
License:        GPL v2 or later
Group:          Development/Tools/GUI Builders
Version:        3.5.2
Release:        7.25.2
Summary:        User Interface Builder for GTK+ and Gnome
Source:         http://ftp.gnome.org/pub/GNOME/sources/glade3/3.1/%{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}.diff
# PATCH-FIX-UPSTREAM glade3-crash-editing-combo-items.patch bnc466361 bgo528511 vuntz@novell.com
Patch1:         glade3-crash-editing-combo-items.patch
Url:            http://glade.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}

%description
Glade is a RAD tool to enable quick & easy development of user
interfaces for the Gtk+ toolkit and the GNOME desktop environment. The
user interfaces designed in Glade are stored in XML format, enabling
easy integration with external tools. In particular libglade can load
the XML files and create the interfaces at runtime. The DTD for the XML
files is included with libglade, and is also at
http://glade.gnome.org/glade-2.0.dtd. Other tools are available which
can turn the XML files into source code in languages such as C++, Perl
and Python.



Authors:
--------
    Chema Celorio <chema@ximian.com>
    Michal Palczewski <mpalczew@u.washington.edu>
    Archit Baweja <bighead@users.sourceforge.net>
    Shane Butler <shane_b@operamail.com>
    Tristan Van Berkom <tvb@gnome.org>

%package -n libgladeui-1-8
License:        GPL v2 or later
Summary:        User Interface Builder for GTK+ and Gnome
Group:          Development/Tools/GUI Builders
Requires:       %{name}-lang >= %{version}

%description -n libgladeui-1-8
Glade is a RAD tool to enable quick & easy development of user
interfaces for the Gtk+ toolkit and the GNOME desktop environment. The
user interfaces designed in Glade are stored in XML format, enabling
easy integration with external tools. In particular libglade can load
the XML files and create the interfaces at runtime. The DTD for the XML
files is included with libglade, and is also at
http://glade.gnome.org/glade-2.0.dtd. Other tools are available which
can turn the XML files into source code in languages such as C++, Perl
and Python.



Authors:
--------
    Chema Celorio <chema@ximian.com>
    Michal Palczewski <mpalczew@u.washington.edu>
    Archit Baweja <bighead@users.sourceforge.net>
    Shane Butler <shane_b@operamail.com>
    Tristan Van Berkom <tvb@gnome.org>

%package -n libgladeui-1_0-devel
License:        GPL v2 or later
Summary:        Development Files for for User Interface Builder for GTK+ and Gnome
Group:          Development/Libraries/C and C++
Requires:       libgladeui-1-8 = %{version} gtk2-devel libxml2-devel

%description -n libgladeui-1_0-devel
Glade is a RAD tool to enable quick & easy development of user
interfaces for the Gtk+ toolkit and the GNOME desktop environment. The
user interfaces designed in Glade are stored in XML format, enabling
easy integration with external tools. In particular libglade can load
the XML files and create the interfaces at runtime. The DTD for the XML
files is included with libglade, and is also at
http://glade.gnome.org/glade-2.0.dtd. Other tools are available which
can turn the XML files into source code in languages such as C++, Perl
and Python.



Authors:
--------
    Chema Celorio <chema@ximian.com>
    Michal Palczewski <mpalczew@u.washington.edu>
    Archit Baweja <bighead@users.sourceforge.net>
    Shane Butler <shane_b@operamail.com>
    Tristan Van Berkom <tvb@gnome.org>

%package -n libgladeui-1_0-doc
License:        GPL v2 or later
Summary:        Development Files for User Interface Builder for GTK+ and Gnome
Group:          Development/Libraries/C and C++
Requires:       libgladeui-1-8 = %{version}

%description -n libgladeui-1_0-doc
Glade is a RAD tool to enable quick & easy development of user
interfaces for the Gtk+ toolkit and the GNOME desktop environment. The
user interfaces designed in Glade are stored in XML format, enabling
easy integration with external tools. In particular libglade can load
the XML files and create the interfaces at runtime. The DTD for the XML
files is included with libglade, and is also at
http://glade.gnome.org/glade-2.0.dtd. Other tools are available which
can turn the XML files into source code in languages such as C++, Perl
and Python.



Authors:
--------
    Chema Celorio <chema@ximian.com>
    Michal Palczewski <mpalczew@u.washington.edu>
    Archit Baweja <bighead@users.sourceforge.net>
    Shane Butler <shane_b@operamail.com>
    Tristan Van Berkom <tvb@gnome.org>

%lang_package
%prep
%setup -q
%patch
%patch1 -p1

%build
autoreconf -f -i
# Required by glade3-3.1.5:
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure\
	--enable-gtk-doc\
	--disable-scrollkeeper
make %{?jobs:-j%jobs}

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/glade3/pixmaps/16x16
%suse_update_desktop_file glade-3
%find_lang %{name}
%find_lang glade %{name}.lang
%fdupes $RPM_BUILD_ROOT%{_datadir}
rm $RPM_BUILD_ROOT%{_libdir}/*/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libgladeui-1-8 -p /sbin/ldconfig

%postun -n libgladeui-1-8 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.GPL COPYING.LGPL ChangeLog NEWS README TODO
%defattr (-, root, root)
%{_bindir}/*
%{_datadir}/applications/glade-3.desktop
%{_datadir}/glade3
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/omf/glade
%{_libdir}/glade3

%files -n libgladeui-1-8
%defattr (-, root, root)
%{_libdir}/libgladeui*.so.*

%files -n libgladeui-1_0-devel
%defattr (-, root, root)
%{_includedir}/libgladeui-1.0
%{_libdir}/pkgconfig/gladeui*.pc
%{_libdir}/libgladeui*.so
%{_libdir}/libgladeui*.*a

%files -n libgladeui-1_0-doc
%defattr (-, root, root)
%{_datadir}/gtk-doc/html/gladeui

%files lang -f %{name}.lang

%changelog
* Tue Jan 20 2009 vuntz@novell.com
- Add glade3-crash-editing-combo-items.patch to fix bnc#466361.
* Mon Oct 20 2008 schwab@suse.de
- Fix missing declaration AGAIN.
* Wed Aug  6 2008 mboman@novell.com
- Updated to 3.5.2:
  + oops, was parsing booleans as doubles, fixed bugs with
    builder-unsupported and deprecated.
  + Added versioning support, you can always chose the target version of
    your project starting with gtk+ 2.8 - a project preferences dialog has
    been added where you can switch your format, switch your target version
    and test for incompatabilities. incompatability error dialogs are also
    launched on save as. Target versions are saved to the glade file;
    TODO: patch GtkBuilder to test the required gtk+ version from
    <requires lib="gtk+" version="2.8"> and at least warn, also let
    third party widget developers test thier own versions using builder
    (all new catalog tags and properties are also documented).
  + Resurrected GtkScaleButton and GtkVolumeButton
  + We finally have Vincent Geddes's icon choser dialog
    (was skipped before because of string changes)
  + Not allowed to have duplicate widget names anymore (bug bgo#442860)
  + Now the first widget in a project shows up automatically
    when opening the project.
  + Old parser was trashed and rewritten from the ground up.
  + New plugin support for read_widget() and write_widget(), also
    create_eprop() which allows the plugin to create widgets to
    edit properties in the editor (accelerators are edited from
    the plugin now for instance).
  + Dual file format support available, its a beginning, you dont
    get any of the GObjects that GtkBuilder supports but all widgets
    you were formerly using with glade can now be loaded/saved in
    builder format.
  + Api reference docs for embedders and widget authors ressurected
    after 2 years, concerning integrating widgets, the docs are
    practically rewritten.
  + Backed out GtkScaleButton and GtkVolumeButton since
    they introduced strings.
  + Translation updates.
* Thu Apr  3 2008 maw@suse.de
- Own %%{_datadir}/glade3/pixmaps/16x16.
* Mon Mar 31 2008 vuntz@suse.de
- Updated to version 3.4.3. Too many changes to list here.
- Remove glade3-3.1.5.diff, shouldn't be needed anymore.
- Add gnome-common buildrequires.
- Rename libgladeui-1-5 to libgladeui-1-7
* Mon Jan 21 2008 schwab@suse.de
- Fix missing declarations.
* Tue Oct 23 2007 sbrabec@suse.cz
- Updated to branch3, version 3.1.5:
  * complete rewrite of the original Glade codebase
  * C code generation has been removed from glade-3
  * designed to make maximal use of GObject introspection
  * stacked Undo/Redo and Multiple Project support
  * respects the same XML format as glade-2
- Split package according to library packaging policy.
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Thu Aug  9 2007 maw@suse.de
- Fix up the lang subpackage.
* Wed Aug  8 2007 mauro@suse.de
- Split out a -lang subpackage
- Add %%fdupes stuff
* Fri Aug  3 2007 maw@suse.de
- Add includes.patch.
* Mon Jan 15 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 sbrabec@suse.cz
- Update to version 2.12.1.
* Fri Sep 16 2005 rodrigo@suse.de
- Update to version 2.12.0
- Removed upstreamed patches.
* Fri Jul  8 2005 gekker@suse.de
- Re-enable gnome-db and patch it to work with the latest libgnomedb
- Fixup nfb
* Thu Jul  7 2005 gekker@suse.de
- Disable the gnome-db configure flag until we can update to the
  new GNOME DB APIs.
* Mon Jun 20 2005 sbrabec@suse.cz
- Updated to version 2.10.0.
- Added MIME type association (#8460, patch from Rodrigo Moya).
- Enabled GNOME DB support.
* Wed Mar 16 2005 clahey@suse.de
- Remove desktop file patch.
* Sat Feb 12 2005 gekker@suse.de
- Update to version 2.9.0
* Tue Jan 25 2005 gekker@suse.de
- Update to version 2.6.6
* Fri Oct 29 2004 ro@suse.de
- locale rename: no -> nb
* Tue Jun  8 2004 sbrabec@suse.cz
- Updated to version 2.6.0.
* Mon May 10 2004 clahey@suse.de
- Updated to 2.5.0.
- Added desktop file patch.
* Fri Feb 20 2004 sbrabec@suse.cz
- Package renamed to glade.
* Thu Feb 12 2004 sbrabec@suse.cz
- Updated to version 2.0.1.
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Tue Oct 28 2003 ro@suse.de
- added gtksourceview to neededforbuild
* Mon Sep  1 2003 adrian@suse.de
- add Category
* Mon Aug 18 2003 sbrabec@suse.cz
- Use libgda instead of libgda2 (package was renamed).
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 26 2003 sbrabec@suse.cz
- Updated to version 2.0.0.
- Updated neededforbuild.
- Use %%find_lang.
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Tue Oct 22 2002 hhetter@suse.de
- removed wrong docdir
- updated to version 1.1.2
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Aug 13 2002 ro@suse.de
- removed control-center from neededforbuild
* Wed Jul 24 2002 hhetter@suse.de
- updated to version 1.1.1
- fix filelist
* Tue Jul  9 2002 hhetter@suse.de
- fix filelist
* Tue Jun 11 2002 hhetter@suse.de
- initial SuSE package
